ONVIF::Analytics::Types::ColorspaceRange(3)

NAME
ONVIF::Analytics::Types::ColorspaceRange

DESCRIPTION
Perl data type class for the XML Schema defined complexType ColorspaceRange from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   X

•   Y

•   Z

•   Colorspace

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::ColorspaceRange
   X =>  { # ONVIF::Analytics::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Y =>  { # ONVIF::Analytics::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Z =>  { # ONVIF::Analytics::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Colorspace =>  $some_value, # anyURI
 },

AUTHOR
Generated by SOAP::WSDL